Subject: Re: [BUG] git cat-file does not terminate

From: Robert Wruck <[email-masked]>
Date: Wed, 09 Mar 2011 20:51:46 +0100

> Thanks; it is not very critical so don't spend too much effort trying to
> find a way to do so at runtime.  We can always use the approach Jeff's
> Makefile patch took to make it safe (and potentially slow) by default on
> all Cygwin while still allowing people on an unaffected version to turn
> the workaround off while building.

The write() issue will presumably be fixed in the next cygwin release. I 
already have a version that works on WinXP where it used to fail.

-Robert